Results 1 to 2 of 2

Thread: Some Help Getting things set up

  1. #1
    Join Date
    May 2019
    Posts
    1

    Default Some Help Getting things set up

    Hello all,

    I am new to this and not super experienced with the IT side of things.

    I have acquired a server and am attempting to turn it into my own little render farm but I have hit a few roadblocks.

    For the record, I mainly use Daz3D for now and hope to be able to connect to my server to free up my system while the images are rendering.

    I'll go through what I have tried so far to give you a better picture of where I'm at.

    On a fresh install of Ubuntu I managed to get Iray Server running and logged into it on both machines. I had to go with Linux due to windows not supporting four processors(even win10 workstation pro won't let you render with all four, only two at a time) and windows server is way too expensive for my 40 core beast.

    Please pardon my inexperience, as this is the first time attempting anything like this.

    That all took a while but I have now hit a couple things I just have no idea about, and cannot find anything similar in the forums.

    First is that Iray Server can't load the Cornell Box Benchmark, which I am unsure as to why as this comes with Iray Server. I get a message saying "No supported versions". Unfortunately I have no idea what Iray server is asking for, shouldn't it be able to render it's own benchmark out of the box?

    Is there something I need to load for this to work? It has a minimal 2gb GPU just for the monitor as I wish it to use the CPU's until I can afford another M6000.

    I have attached the first image which shows the error message, and I will include the log file JIC someone knows how to parse that.

    Attachment 10669

    My second issue is connecting Daz3D to the server.

    My Iray Server web interface loads fine on my workstation and I am able to log in, but when I direct Daz3D to connect it is unable to. The second image I have posted are from the workstation.


    Attachment 10670

    Third, once I get things rolling, I want to have Iray Server automatically launch on startup, however as there is no executable. I may be traveling at some point and I will most likely need to restart the server and as of yet I have no real remote controls set up outside of a person to press the button for me. From what I can tell Iray Server needs to be started in a terminal, I am unsure how to put this in Unutu's startup sequence.

    I am sure I will need more help but that's where I'm at so far.

    Thanks for any help

    Stu


    The Log File

  2. #2
    Join Date
    Dec 2017
    Location
    Melbourne, Australia
    Posts
    302

    Default

    So, nothing will work so long as you see that message shown in the first screenshot since this means that none of the Iray worker processes were able to load so there are no versions to render with. What was the exact command line you used for starting Iray Server?

    Do you have the latest NVIDIA drivers installed? You should install the ones from NVIDIA, not the ones provided by Ubuntu, if you type nvidia-smi at the command prompt it should report the GPU information and version number, if not then you have not installed the NVIDIA version of the driver. Since Iray now uses CUDA 10.x quite recent drivers are needed. This may be why your worker processes are not starting up.

    In terms of making the process automatically launch, Iray Server doesn't provide an explicit way to do this since it differs for every Linux distro. On recent Ubuntu versions you'd need to setup a systemd service, we talk about that process for CentOS in the context of our RealityServer product in this post. The process would be slightly different, however general Linux configuration help is beyond the scope of what we can provide. There is a lot of information on running generic programs as systemd services out there though.

    Finally, note that DAZ3D in their released version still use a quite old version of Iray so it may not be compatible with the most recent version of Iray Server we have released. I believe their current beta however uses a more recent Iray that should be compatible if you have access to that.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •